Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.charts
Class BuildFailuresChart

    java.lang.Object
      com.atlassian.bamboo.charts.AbstractBambooChart
          com.atlassian.bamboo.charts.BuildFailuresChart

All Implemented Interfaces:
  ChartBuilder

    public class BuildFailuresChart

extends AbstractBambooChart

Field Summary
`protected Build` | `build`
`protected Map` | `buildResults`
`protected List` | `filteredResults`

Fields inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`chartTitle, contextPath, height, shortUrlUsed, width, xAxisLabel, yAxisLabel`

Constructor Summary
`BuildFailuresChart(int height, int width, String chartTitle, String xAxisLabel, String yAxisLabel, Build build, List filteredResults)`

Method Summary
`protected void` | `appendTooltipSuffix(StringBuffer tooltip, BuildResultsSummary buildResultsSummary)`
`protected JFreeChart` | `generateChart(CategoryTableXYDataset dataSet1)`
`Map` | `generateChartParams()`
`String` | `generateToolTip(XYDataset dataset, int row, int column)`
`String` | `generateURL(XYDataset dataset, int row, int column)`
`Build` | `getBuild()`
`JFreeChart` | `getChart()`
`List` | `getFilteredResults()`
`void` | `setBuild(Build build)`
`void` | `setFilteredResults(List filteredResults)`

Methods inherited from class com.atlassian.bamboo.charts.AbstractBambooChart
`generateChartImage, generateChartImage, generateRandomMapName, getChartTitle, getContextPath, getHeight, getWidth, getxAxisLabel, getyAxisLabel, isShortUrlUsed, setChartTitle, setContextPath, setHeight, setShortUrlUsed, setWidth, setxAxisLabel, setyAxisLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### build

    protected Build build

### filteredResults

    protected List filteredResults

### buildResults

    protected Map buildResults

Constructor Detail

### BuildFailuresChart

    public BuildFailuresChart(int height,
                              int width,
                              String chartTitle,
                              String xAxisLabel,
                              String yAxisLabel,
                              Build build,
                              List filteredResults)

Method Detail

### generateChartParams

    public Map generateChartParams()

### getChart

    public JFreeChart getChart()

### generateChart

    protected JFreeChart generateChart(CategoryTableXYDataset dataSet1)

### generateToolTip

    public String generateToolTip(XYDataset dataset,
                                  int row,
                                  int column)

### generateURL

    public String generateURL(XYDataset dataset,
                              int row,
                              int column)

### appendTooltipSuffix

    protected void appendTooltipSuffix(StringBuffer tooltip,
                                       BuildResultsSummary buildResultsSummary)

### getBuild

    public Build getBuild()

### setBuild

    public void setBuild(Build build)

### getFilteredResults

    public List getFilteredResults()

### setFilteredResults

    public void setFilteredResults(List filteredResults)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.